com.google.gwt.aria.client

## Interface TabRole

All Superinterfaces:
  Role, SectionheadRole, StructureRole, WidgetRole

All Known Implementing Classes:
  TabRoleImpl

    public interface TabRole
    extends SectionheadRole, WidgetRole

A type that represents the tab role in the ARIA specification.

See Also:
  `Role`, `Roles`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getAriaSelectedState(Element element)` Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.
`void` `removeAriaSelectedState(Element element)` Removes the aria-selected attribute from the `element`.
`void` `setAriaSelectedState(Element element, SelectedValue value)` Sets the aria-selected attribute for the `element` to the given `value`.

### Methods inherited from interface com.google.gwt.aria.client.SectionheadRole

`getAriaExpandedState, removeAriaExpandedState, setAriaExpandedState`

### Methods inherited from interface com.google.gwt.aria.client.Role

`getAriaAtomicProperty, getAriaBusyState, getAriaControlsProperty, getAriaDescribedbyProperty, getAriaDisabledState, getAriaDropeffectProperty, getAriaFlowtoProperty, getAriaGrabbedState, getAriaHaspopupProperty, getAriaHiddenState, getAriaInvalidState, getAriaLabelledbyProperty, getAriaLabelProperty, getAriaLiveProperty, getAriaOwnsProperty, getAriaRelevantProperty, getName, getTabindexExtraAttribute, remove, removeAriaAtomicProperty, removeAriaBusyState, removeAriaControlsProperty, removeAriaDescribedbyProperty, removeAriaDisabledState, removeAriaDropeffectProperty, removeAriaFlowtoProperty, removeAriaGrabbedState, removeAriaHaspopupProperty, removeAriaHiddenState, removeAriaInvalidState, removeAriaLabelledbyProperty, removeAriaLabelProperty, removeAriaLiveProperty, removeAriaOwnsProperty, removeAriaRelevantProperty, removeTabindexExtraAttribute, set, setAriaAtomicProperty, setAriaBusyState, setAriaControlsProperty, setAriaDescribedbyProperty, setAriaDisabledState, setAriaDropeffectProperty, setAriaFlowtoProperty, setAriaGrabbedState, setAriaHaspopupProperty, setAriaHiddenState, setAriaInvalidState, setAriaLabelledbyProperty, setAriaLabelProperty, setAriaLiveProperty, setAriaOwnsProperty, setAriaRelevantProperty, setTabindexExtraAttribute`

### Method Detail

#### getAriaSelectedState

    java.lang.String getAriaSelectedState(Element element)

Returns the value of the aria-selected attribute for the `element` or "" if no such attribute is present.

#### removeAriaSelectedState

    void removeAriaSelectedState(Element element)

Removes the aria-selected attribute from the `element`.

#### setAriaSelectedState

    void setAriaSelectedState(Element element,
                              SelectedValue value)

Sets the aria-selected attribute for the `element` to the given `value`.